clang-tools 10.0.0

Functions | Variables
clang-include-fixer Namespace Reference

## Functions
def | GetUserSelection (message, headers, maximum_suggested_headers)
def | execute (command, text)
def | InsertHeaderToVimBuffer (header, text)
def | get_symbol_under_cursor ()
def | main ()

## Variables
string | binary = 'clang-include-fixer'
int | maximum_suggested_headers = 3
int | increment_num = 5
bool | jump_to_include = False
bool | query_mode = False

## Function Documentation

## ◆ execute()

def clang-include-fixer.execute | ( |  | command,
|  |  | text
| ) |  |

Definition at line 88 of file clang-include-fixer.py.

Referenced by InsertHeaderToVimBuffer(), and main().

## ◆ get_symbol_under_cursor()

def clang-include-fixer.get_symbol_under_cursor | ( |  | ) |

Definition at line 125 of file clang-include-fixer.py.

Referenced by main().

## ◆ GetUserSelection()

def clang-include-fixer.GetUserSelection | ( |  | message,
|  |  | headers,
|  |  | maximum_suggested_headers
| ) |  |

Definition at line 56 of file clang-include-fixer.py.

Referenced by main().

## ◆ InsertHeaderToVimBuffer()

def clang-include-fixer.InsertHeaderToVimBuffer | ( |  | header,
|  |  | text
| ) |  |

Definition at line 102 of file clang-include-fixer.py.

References execute().

Referenced by main().

## ◆ main()

def clang-include-fixer.main | ( |  | ) |

Definition at line 142 of file clang-include-fixer.py.

References execute(), get_symbol_under_cursor(), GetUserSelection(), InsertHeaderToVimBuffer(), and clang::tidy::cppcoreguidelines.join().

## Variable Documentation

## ◆ binary

clang-include-fixer.binary = 'clang-include-fixer'

Definition at line 31 of file clang-include-fixer.py.

## ◆ increment_num

clang-include-fixer.increment_num = 5

Definition at line 41 of file clang-include-fixer.py.

## ◆ jump_to_include

string clang-include-fixer.jump_to_include = False

Definition at line 47 of file clang-include-fixer.py.

## ◆ maximum_suggested_headers

clang-include-fixer.maximum_suggested_headers = 3

Definition at line 35 of file clang-include-fixer.py.

## ◆ query_mode

string clang-include-fixer.query_mode = False

Definition at line 51 of file clang-include-fixer.py.